json.h File Reference
`#include <gwenhywfar/tree2.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_JSON_ELEM | GWEN_JSON_ELEM

## Enumerations

enum | { GWEN_JSON_ELEMTYPE_UNKNOWN =0 , GWEN_JSON_ELEMTYPE_KEY =1 , GWEN_JSON_ELEMTYPE_NULL , GWEN_JSON_ELEMTYPE_BOOL , GWEN_JSON_ELEMTYPE_NUM , GWEN_JSON_ELEMTYPE_STRING , GWEN_JSON_ELEMTYPE_ARRAY , GWEN_JSON_ELEMTYPE_OBJECT }

## Functions

GWENHYWFAR_API GWEN_JSON_ELEM * | GWEN_JsonElement_FindFirstByTypeAndData (const GWEN_JSON_ELEM *je, int t, const char *s)
GWENHYWFAR_API GWEN_JSON_ELEM * | GWEN_JsonElement_FindNextByTypeAndData (const GWEN_JSON_ELEM *je, int t, const char *s)
GWENHYWFAR_API void | GWEN_JsonElement_free (GWEN_JSON_ELEM *je)
GWENHYWFAR_API const char * | GWEN_JsonElement_GetData (const GWEN_JSON_ELEM *je)
GWENHYWFAR_API GWEN_JSON_ELEM * | GWEN_JsonElement_GetElementByPath (GWEN_JSON_ELEM *je, const char *path, uint32_t flags)
GWENHYWFAR_API int | GWEN_JsonElement_GetType (const GWEN_JSON_ELEM *je)
GWENHYWFAR_API GWEN_JSON_ELEM * | GWEN_JsonElement_new (int t, const char *sData)
GWENHYWFAR_API void | GWEN_JsonElement_SetData (GWEN_JSON_ELEM *je, const char *s)
GWENHYWFAR_API void | GWEN_JsonElement_SetType (GWEN_JSON_ELEM *je, int t)
| GWEN_TREE2_FUNCTION_LIB_DEFS (GWEN_JSON_ELEM, GWEN_JsonElement, GWENHYWFAR_API)

## Typedef Documentation

## GWEN_JSON_ELEM

typedef struct GWEN_JSON_ELEM GWEN_JSON_ELEM

Definition at line 33 of file json.h.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
GWEN_JSON_ELEMTYPE_UNKNOWN |
GWEN_JSON_ELEMTYPE_KEY |
GWEN_JSON_ELEMTYPE_NULL |
GWEN_JSON_ELEMTYPE_BOOL |
GWEN_JSON_ELEMTYPE_NUM |
GWEN_JSON_ELEMTYPE_STRING |
GWEN_JSON_ELEMTYPE_ARRAY |
GWEN_JSON_ELEMTYPE_OBJECT |

Definition at line 37 of file json.h.

## Function Documentation

## GWEN_JsonElement_FindFirstByTypeAndData()

GWENHYWFAR_API GWEN_JSON_ELEM * GWEN_JsonElement_FindFirstByTypeAndData | ( | const GWEN_JSON_ELEM * | je,
|  | int | t,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_JsonElement_FindNextByTypeAndData()

GWENHYWFAR_API GWEN_JSON_ELEM * GWEN_JsonElement_FindNextByTypeAndData | ( | const GWEN_JSON_ELEM * | je,
|  | int | t,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_JsonElement_free()

GWENHYWFAR_API void GWEN_JsonElement_free | ( | GWEN_JSON_ELEM * | je | ) |

References GWENHYWFAR_API.

## GWEN_JsonElement_GetData()

GWENHYWFAR_API const char * GWEN_JsonElement_GetData | ( | const GWEN_JSON_ELEM * | je | ) |

References GWENHYWFAR_API.

## GWEN_JsonElement_GetElementByPath()

GWENHYWFAR_API GWEN_JSON_ELEM * GWEN_JsonElement_GetElementByPath | ( | GWEN_JSON_ELEM * | je,
|  | const char * | path,
|  | uint32_t | flags )

References GWENHYWFAR_API.

## GWEN_JsonElement_GetType()

GWENHYWFAR_API int GWEN_JsonElement_GetType | ( | const GWEN_JSON_ELEM * | je | ) |

References GWENHYWFAR_API.

## GWEN_JsonElement_new()

GWENHYWFAR_API GWEN_JSON_ELEM * GWEN_JsonElement_new | ( | int | t,
|  | const char * | sData )

References GWENHYWFAR_API.

## GWEN_JsonElement_SetData()

GWENHYWFAR_API void GWEN_JsonElement_SetData | ( | GWEN_JSON_ELEM * | je,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_JsonElement_SetType()

GWENHYWFAR_API void GWEN_JsonElement_SetType | ( | GWEN_JSON_ELEM * | je,
|  | int | t )

References GWENHYWFAR_API.

## GWEN_TREE2_FUNCTION_LIB_DEFS()

GWEN_TREE2_FUNCTION_LIB_DEFS | ( | GWEN_JSON_ELEM | ,
|  | GWEN_JsonElement | ,
|  | GWENHYWFAR_API | )

References GWENHYWFAR_API.